Loading...
Searching...
No Matches
dsam::DsamPort::InfoChangedEvent Struct Reference

Event that is send when the port info has changed. More...

`import "DsamPort.idl";`

Inheritance diagram for dsam::DsamPort::InfoChangedEvent:

## Public Attributes

Info | oldInfo
| Old port info.
Info | newInfo
| New port info.
string | portName
| current port name
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when the port info has changed.

Definition at line 76 of file DsamPort.idl.

## Member Data Documentation

## newInfo

Info dsam::DsamPort::InfoChangedEvent::newInfo

New port info.

Definition at line 78 of file DsamPort.idl.

## oldInfo

Info dsam::DsamPort::InfoChangedEvent::oldInfo

Old port info.

Definition at line 77 of file DsamPort.idl.

## portName

string dsam::DsamPort::InfoChangedEvent::portName

current port name

Definition at line 79 of file DsamPort.idl.

The documentation for this struct was generated from the following file:

- DsamPort.idl